<!--
 Copyright © VNG Realisatie 2023
 Licensed under the EUPL
-->

{{ define "content" }}

    <div class="directory-page">
        <div class="directory-page__loaded-content">
            {{ if eq (len .Services) 0 }}
                <div class="directory-page__no-results">
                    {{ i18n "There are no Services to display." }}
                </div>
            {{ else }}
                <table>
                    <thead>
                        <tr>
                            <th class="directory-page__peer-column">
                                {{ i18n "Peer" }}
                            </th>
                            <th>{{ i18n "Name" }}</th>
                            <th>{{ i18n "Provided by" }}</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        {{ range .Services }}
                            {{ if .IsDelegatedPublication }}
                                <tr
                                    class="tr--link"
                                    hx-get="/directory/{{ $.SelectedDirectoryPeerID }}/{{ .ProviderID }}/{{ .Name }}/delegator/{{ .PeerID }}"
                                    hx-push-url="true"
                                    hx-swap="innerHTML"
                                    hx-target="body"
                                >
                                    <td>
                                        {{ .PeerName }}<br />
                                        <small>Peer ID {{ .PeerID }}</small>
                                    </td>
                                    <td>{{ .Name }}</td>
                                    <td>
                                        {{ .ProviderName }}<br />
                                        <small>Peer ID {{ .ProviderID }}</small>
                                    </td>
                                    <td class="td--link">
                                        <a
                                            href="/directory/{{ $.SelectedDirectoryPeerID }}/{{ .ProviderID }}/{{ .Name }}/delegator/{{ .PeerID }}"
                                        >
                                            {{ svg "icon-chevron-right" "icon" }}
                                        </a>
                                    </td>
                                </tr>
                            {{ else }}
                                <tr
                                    class="tr--link"
                                    hx-get="/directory/{{ $.SelectedDirectoryPeerID }}/{{ .PeerID }}/{{ .Name }}"
                                    hx-push-url="true"
                                    hx-swap="innerHTML"
                                    hx-target="body"
                                >
                                    <td>
                                        {{ .PeerName }}<br />
                                        <small>Peer ID {{ .PeerID }}</small>
                                    </td>
                                    <td>{{ .Name }}</td>
                                    <td></td>
                                    <td class="td--link">
                                        <a
                                            href="/directory/{{ $.SelectedDirectoryPeerID }}/{{ .PeerID }}/{{ .Name }}"
                                        >
                                            {{ svg "icon-chevron-right" "icon" }}
                                        </a>
                                    </td>
                                </tr>
                            {{ end }}
                        {{ end }}
                    </tbody>
                </table>
            {{ end }}
        </div>

        <p
            class="directory-page__loading-message loading-message"
            role="progressbar"
        >
            {{ svg "icon-spinner" "loading-message__spinner icon--inline" }}
            {{ i18n "Loading…" }}
        </p>
    </div>
{{ end }}
